| 1.0.0 API documentation

Functions
vector_query.hpp File Reference

GLM_GTX_vector_query More...

Go to the source code of this file.

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | areCollinear (vec< L, T, Q > const &v0, vec< L, T, Q > const &v1, T const &epsilon)
| Check whether two vectors are collinears. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | areOrthogonal (vec< L, T, Q > const &v0, vec< L, T, Q > const &v1, T const &epsilon)
| Check whether two vectors are orthogonals. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | areOrthonormal (vec< L, T, Q > const &v0, vec< L, T, Q > const &v1, T const &epsilon)
| Check whether two vectors are orthonormal. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | isCompNull (vec< L, T, Q > const &v, T const &epsilon)
| Check whether a each component of a vector is null. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | isNormalized (vec< L, T, Q > const &v, T const &epsilon)
| Check whether a vector is normalized. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL bool | isNull (vec< L, T, Q > const &v, T const &epsilon)
| Check whether a vector is null. More...

## Detailed Description

GLM_GTX_vector_query

See also
  Core features (dependence)

Definition in file vector_query.hpp.